summaryrefslogtreecommitdiff
path: root/cmdtests/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cmdtests/runtests.sh')
-rwxr-xr-xcmdtests/runtests.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/cmdtests/runtests.sh b/cmdtests/runtests.sh
new file mode 100755
index 0000000..ba0ff22
--- /dev/null
+++ b/cmdtests/runtests.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+TEST_AGAINST_PYTHON_PATH=$1
+
+while read -r line; do
+ echo "Running $line > before"
+ PYTHONPATH="${TEST_AGAINST_PYTHON_PATH}"
+ eval "$line" > before || exit 1
+ echo "Running $line > after"
+ PYTHONPATH="../pym"
+ eval "$line" > after || exit 1
+ DIFF=$(diff -u before after)
+ if [[ -n $DIFF ]]; then
+ echo "Different!"
+ echo "$DIFF"
+ exit 1
+ fi
+done < cmds.txt
+
+rm before after
+echo "All commands output the exact same thing!"